diff upload_jdbc_new.sh.in @ 238:d27f4ad1ca91 embedded

Added upload script
author Pedro Ferreira <pedro.ferreira@monetdbsolutions.com>
date Mon, 11 Jun 2018 18:16:38 +0200 (2018-06-11)
parents
children
line wrap: on
line diff
new file mode 100644
--- /dev/null
+++ b/upload_jdbc_new.sh.in
@@ -0,0 +1,21 @@
+#!/bin/bash
+
+set -e
+
+function echo_and_exit {
+	echo $1 >&2
+	exit 1
+}
+
+if [[ -z $JAVA_HOME ]] ; then
+    echo_and_exit "The JAVA_HOME directory must be set"
+fi
+
+# Prepare the directory to upload to our website
+mkdir synchronizing
+# Move the monetdb-jdbc-new jar
+mv jars/monetdb-jdbc-new-@JDBC_MAJOR@.@JDBC_MINOR@.jar synchronizing/monetdb-jdbc-new-@JDBC_MAJOR@.@JDBC_MINOR@.jar
+# Rsync the library files to the monet.org machine
+rsync -aqz --ignore-times synchronizing/* ferreira@monetdb.org:/var/www/html/downloads/Java-Experimental/
+# Remove it in the end
+rm -rf synchronizing